Bug 962474 - BPMS dashbuilder log contains error messages during deployment
BPMS dashbuilder log contains error messages during deployment
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: 6.0.0
Assigned To: David Gutierrez
Marek Baluch
Depends On:
  Show dependency treegraph
Reported: 2013-05-13 11:02 EDT by Marek Winkler
Modified: 2014-08-06 16:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: jBPM history log tables missing. Consequence: EAP Deployment on a non-H2 database fails. Fix: Ensure the required tables are created. Result: Deployment working.
Story Points: ---
Clone Of:
Last Closed: 2014-08-06 16:11:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dashbuilder log with error messages (36.79 KB, text/plain)
2013-05-13 11:03 EDT, Marek Winkler
no flags Details

  None (edit)
Description Marek Winkler 2013-05-13 11:02:16 EDT
Description of problem:

The dashbuilder's log file contains error messages (see the attachment) complaining about missing processinstancelog table. Even if the application gets deployed after those errors, the messages should be removed to avoid confusing the users.

Version-Release number of selected component (if applicable):

BPMS 6.0.0.DR4

How reproducible:

Deploy application and see its log file (/tmp/dashboard-builder-jboss.log).
Comment 1 Marek Winkler 2013-05-13 11:03:12 EDT
Created attachment 747271 [details]
dashbuilder log with error messages
Comment 2 David Gutierrez 2013-05-14 11:46:03 EDT
The jBPM History log's processinstancelog, bamtasksummary tables are queried by the Dashbuilder's jBPM Process Dashboard. So these tables must exist in whatever database the jBPM Dashboard's data providers are pointing to. 

The problem has been fixed by forcing the Dashbuilder to create (only if does not exist) those two database tables. This is something that is already implemented in the standalone jetty/h2 mode.
Comment 3 Jan Hrcek 2013-06-11 07:34:34 EDT
Verified. When started standalone mode (without jBPM) the processinstancelog and bamtasksummary are created correctly.
Comment 7 Jan Hrcek 2014-03-19 08:37:00 EDT
Won't cover this by tests, because the problem concerns exception appearing in  in server.log

Note You need to log in before you can comment on or make changes to this bug.